



<!DOCTYPE html>
<html lang="en">
  
  <head>
    
      <meta charset="utf-8">
      <title>Bokeh Plot</title>
      
      
        
          
        
        
          
        <script type="text/javascript" src="https://cdn.pydata.org/bokeh/release/bokeh-1.3.4.min.js"></script>
        <script type="text/javascript">
            Bokeh.set_log_level("info");
        </script>
        
      
      
    
  </head>
  
  
  <body>
    
      
        
          
          
            
              <div class="bk-root" id="9bc865cb-6777-45a4-a614-f8c94d79bc70" data-root-id="1002"></div>
            
          
        
      
      
        <script type="application/json" id="1223">
          {"e1935a87-0022-4eb6-934e-a0dfdd315a7f":{"roots":{"references":[{"attributes":{},"id":"1024","type":"WheelZoomTool"},{"attributes":{"bottom":{"value":0},"fill_color":{"value":"green"},"left":{"field":"Start"},"line_color":{"value":"green"},"right":{"field":"End"},"top":{"value":1}},"id":"1039","type":"Quad"},{"attributes":{"days":[1,4,7,10,13,16,19,22,25,28]},"id":"1054","type":"DaysTicker"},{"attributes":{"overlay":{"id":"1062","type":"BoxAnnotation"}},"id":"1025","type":"BoxZoomTool"},{"attributes":{"days":[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31]},"id":"1053","type":"DaysTicker"},{"attributes":{"formatter":{"id":"1045","type":"DatetimeTickFormatter"},"ticker":{"id":"1014","type":"DatetimeTicker"}},"id":"1013","type":"DatetimeAxis"},{"attributes":{},"id":"1026","type":"SaveTool"},{"attributes":{"callback":null,"data":{"End":{"__ndarray__":"6eoeWYXtdkIUUCFche12QnPWbF6F7XZCpjGKYIXtdkI/48Zghe12Qj0IAmGF7XZCaK0tYYXtdkKWL1dhhe12QrRy12eF7XZCPcoQaIXtdkKRAT5qhe12Qm396WuF7XZCJ/E6bIXtdkJ3nDB1he12Qi0ktH+F7XZC","dtype":"float64","shape":[15]},"End_str":["2019-12-05 23:11:56","2019-12-05 23:12:09","2019-12-05 23:12:18","2019-12-05 23:12:27","2019-12-05 23:12:28","2019-12-05 23:12:29","2019-12-05 23:12:29","2019-12-05 23:12:30","2019-12-05 23:12:57","2019-12-05 23:12:58","2019-12-05 23:13:07","2019-12-05 23:13:13","2019-12-05 23:13:15","2019-12-05 23:13:51","2019-12-05 23:14:34"],"Start":{"__ndarray__":"jRNVT4XtdkICRfNahe12Qp6JhV2F7XZC8K8+YIXtdkKsuJlghe12Qse1zmCF7XZCUH8JYYXtdkJ9jUVhhe12QkIscGWF7XZCCLjZZ4XtdkIEPDtqhe12QpwuTWqF7XZCoOTua4XtdkJkN95whe12QmitoXWF7XZC","dtype":"float64","shape":[15]},"Start_str":["2019-12-05 23:11:16","2019-12-05 23:12:04","2019-12-05 23:12:14","2019-12-05 23:12:26","2019-12-05 23:12:27","2019-12-05 23:12:28","2019-12-05 23:12:29","2019-12-05 23:12:30","2019-12-05 23:12:47","2019-12-05 23:12:57","2019-12-05 23:13:06","2019-12-05 23:13:07","2019-12-05 23:13:13","2019-12-05 23:13:34","2019-12-05 23:13:53"],"index":[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14]},"selected":{"id":"1048","type":"Selection"},"selection_policy":{"id":"1049","type":"UnionRenderers"}},"id":"1001","type":"ColumnDataSource"},{"attributes":{},"id":"1027","type":"ResetTool"},{"attributes":{},"id":"1009","type":"LinearScale"},{"attributes":{},"id":"1028","type":"HelpTool"},{"attributes":{"callback":null},"id":"1005","type":"DataRange1d"},{"attributes":{"formatter":{"id":"1047","type":"BasicTickFormatter"},"minor_tick_line_color":{"value":null},"ticker":{"id":"1019","type":"BasicTicker"}},"id":"1018","type":"LinearAxis"},{"attributes":{"callback":null},"id":"1007","type":"DataRange1d"},{"attributes":{"text":"Motion graph"},"id":"1003","type":"Title"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"1062","type":"BoxAnnotation"},{"attributes":{"days":[1,8,15,22]},"id":"1055","type":"DaysTicker"},{"attributes":{},"id":"1011","type":"LinearScale"},{"attributes":{"bottom":{"value":0},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"left":{"field":"Start"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"field":"End"},"top":{"value":1}},"id":"1040","type":"Quad"},{"attributes":{},"id":"1048","type":"Selection"},{"attributes":{},"id":"1061","type":"YearsTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_multi":null,"active_scroll":"auto","active_tap":"auto","tools":[{"id":"1023","type":"PanTool"},{"id":"1024","type":"WheelZoomTool"},{"id":"1025","type":"BoxZoomTool"},{"id":"1026","type":"SaveTool"},{"id":"1027","type":"ResetTool"},{"id":"1028","type":"HelpTool"},{"id":"1036","type":"HoverTool"}]},"id":"1029","type":"Toolbar"},{"attributes":{"days":[1,15]},"id":"1056","type":"DaysTicker"},{"attributes":{"num_minor_ticks":5,"tickers":[{"id":"1050","type":"AdaptiveTicker"},{"id":"1051","type":"AdaptiveTicker"},{"id":"1052","type":"AdaptiveTicker"},{"id":"1053","type":"DaysTicker"},{"id":"1054","type":"DaysTicker"},{"id":"1055","type":"DaysTicker"},{"id":"1056","type":"DaysTicker"},{"id":"1057","type":"MonthsTicker"},{"id":"1058","type":"MonthsTicker"},{"id":"1059","type":"MonthsTicker"},{"id":"1060","type":"MonthsTicker"},{"id":"1061","type":"YearsTicker"}]},"id":"1014","type":"DatetimeTicker"},{"attributes":{"months":[0,1,2,3,4,5,6,7,8,9,10,11]},"id":"1057","type":"MonthsTicker"},{"attributes":{"dimension":1,"ticker":{"id":"1019","type":"BasicTicker"}},"id":"1022","type":"Grid"},{"attributes":{},"id":"1049","type":"UnionRenderers"},{"attributes":{"ticker":{"id":"1014","type":"DatetimeTicker"}},"id":"1017","type":"Grid"},{"attributes":{"months":[0,2,4,6,8,10]},"id":"1058","type":"MonthsTicker"},{"attributes":{},"id":"1045","type":"DatetimeTickFormatter"},{"attributes":{"callback":null,"tooltips":[["Start","@Start_str"],["End","@End_str"]]},"id":"1036","type":"HoverTool"},{"attributes":{"below":[{"id":"1013","type":"DatetimeAxis"}],"center":[{"id":"1017","type":"Grid"},{"id":"1022","type":"Grid"}],"left":[{"id":"1018","type":"LinearAxis"}],"plot_height":300,"plot_width":500,"renderers":[{"id":"1041","type":"GlyphRenderer"}],"sizing_mode":"stretch_width","title":{"id":"1003","type":"Title"},"toolbar":{"id":"1029","type":"Toolbar"},"x_range":{"id":"1005","type":"DataRange1d"},"x_scale":{"id":"1009","type":"LinearScale"},"y_range":{"id":"1007","type":"DataRange1d"},"y_scale":{"id":"1011","type":"LinearScale"}},"id":"1002","subtype":"Figure","type":"Plot"},{"attributes":{"mantissas":[1,2,5],"max_interval":500.0,"num_minor_ticks":0},"id":"1050","type":"AdaptiveTicker"},{"attributes":{"months":[0,4,8]},"id":"1059","type":"MonthsTicker"},{"attributes":{"source":{"id":"1001","type":"ColumnDataSource"}},"id":"1042","type":"CDSView"},{"attributes":{},"id":"1047","type":"BasicTickFormatter"},{"attributes":{"months":[0,6]},"id":"1060","type":"MonthsTicker"},{"attributes":{"data_source":{"id":"1001","type":"ColumnDataSource"},"glyph":{"id":"1039","type":"Quad"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"1040","type":"Quad"},"selection_glyph":null,"view":{"id":"1042","type":"CDSView"}},"id":"1041","type":"GlyphRenderer"},{"attributes":{"base":60,"mantissas":[1,2,5,10,15,20,30],"max_interval":1800000.0,"min_interval":1000.0,"num_minor_ticks":0},"id":"1051","type":"AdaptiveTicker"},{"attributes":{"desired_num_ticks":1},"id":"1019","type":"BasicTicker"},{"attributes":{},"id":"1023","type":"PanTool"},{"attributes":{"base":24,"mantissas":[1,2,4,6,8,12],"max_interval":43200000.0,"min_interval":3600000.0,"num_minor_ticks":0},"id":"1052","type":"AdaptiveTicker"}],"root_ids":["1002"]},"title":"Bokeh Application","version":"1.3.4"}}
        </script>
        <script type="text/javascript">
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    
                  var docs_json = document.getElementById('1223').textContent;
                  var render_items = [{"docid":"e1935a87-0022-4eb6-934e-a0dfdd315a7f","roots":{"1002":"9bc865cb-6777-45a4-a614-f8c94d79bc70"}}];
                  root.Bokeh.embed.embed_items(docs_json, render_items);
                
                  }
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to run BokehJS code because BokehJS library is missing");
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        </script>
    
  </body>
  
</html>